### Method

# Gio FileInfo get_attribute_stringv

since: 2.22

#### Declaration

    char**
    g_file_info_get_attribute_stringv (
      GFileInfo* info,
      const char* attribute
    )

#### Description

Gets the value of a stringv attribute. If the attribute does not contain a stringv, `NULL` will be returned.

Available since: 2.22

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

The contents of the `attribute` value as a stringv, or `NULL` otherwise. Do not free. These returned strings are UTF-8.

The array is `NULL`-terminated.
The data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.